爱板网论坛

查看: 654|回复: 2

[原创] Linux编译知识点---编译器

[复制链接]

主题

好友

3528

积分

状元

  • TA的每日心情
    奋斗
    昨天 14:09
  • 签到天数: 1057 天

    连续签到: 5 天

    [LV.10]以坛为家III

    发表于 2018-2-9 11:19:33 |显示全部楼层
    前天制作了自己的编译器,昨天设置好了环境,今天开始研究uboot的移植,开始编译,发现又出问题了,

    真是好事多磨啊,又是什么问题呢,很头大,就百度了一下,
    “使用的交叉编译工具链版本太高导致
    竟然不是向前兼容的,看来坑真是多啊,也可能是初学吧,不知道,只能到处碰壁了。于是看看官方的版本4.4.6_TQ210_release_20120720.tar.bz2竟然是4.4.6的,而我做的是6.3.0版本,差了好久远了,没办法,改成官方的先用着,有时间,再制作个低版本的了。
    配置好环境后,果然编译成功了,看图



    发帖,分享我所遇到的错误给大家,共勉。






                                                        发帖与2018年2月9日
    回复

    使用道具 举报

    主题

    好友

    1704

    积分

    进士

  • TA的每日心情
    开心
    2018-8-23 00:00
  • 签到天数: 210 天

    连续签到: 9 天

    [LV.7]常住居民III

    发表于 2018-2-9 12:07:24 |显示全部楼层
    把判断版本的代码注释掉,然后强行编译试试~
    回复

    使用道具 举报

    主题

    好友

    3528

    积分

    状元

  • TA的每日心情
    奋斗
    昨天 14:09
  • 签到天数: 1057 天

    连续签到: 5 天

    [LV.10]以坛为家III

    发表于 2018-2-9 14:48:19 |显示全部楼层
    是那段啊,大神指点一下
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    关闭

    站长推荐上一条 /3 下一条

    手机版|爱板网

    GMT+8, 2018-9-22 06:17 , Processed in 0.082223 second(s), 14 queries , MemCache On.

    ICP经营许可证 苏B2-20140176  苏ICP备14012660号-5   苏州灵动帧格网络科技有限公司 版权所有.

    苏公网安备 32059002001056号

    Powered by Discuz!

    返回顶部